Create or update an array of channels
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/channels
Request
There are no request parameters for this operation.
- application/json
array150-
Array of:
object ChannelOracle
Title:
ChannelOracleThe channel resource.
objectChannelOracle-
@baseType: string
The base type of the channel.
-
@schemaLocation: string
The URI of the schema that defines the channel.
-
@type(required): string
The class type of the channel.
-
applicationName: string
The name of the application associated with the channel.
-
channelType: string
The type or classification of the channel.
-
created: string
(date-time)
The date and time of the channel creation.
-
createdBy: string
The name of the person who created the channel.
-
description: string
The description of channel.
-
externalId: string
The ID of the external associated with the channel.
-
href: string
The hyperlink reference to the channel.
-
id: string
Maximum Length:
30The ID of the channel. -
lastUpdate: string
(date-time)
The date and time when the channel was last updated.
-
lastUpdatedBy: string
The name of the person who updated the channel.
-
lifecycleStatus: string
The status of the channel.
-
name(required): string
The name of the channel.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
validFor: object
TimePeriod
Title:
TimePeriodThe period for which the productOffering is valid. -
version: string
The channel version.
-
versionState: number
The version state of the channel.
objectProjectRef-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
objectTimePeriod-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Response
- application/json
200 Response
array-
Array of:
object ChannelOracle
Title:
ChannelOracleThe channel resource.
objectChannelOracle-
@baseType: string
The base type of the channel.
-
@schemaLocation: string
The URI of the schema that defines the channel.
-
@type(required): string
The class type of the channel.
-
applicationName: string
The name of the application associated with the channel.
-
channelType: string
The type or classification of the channel.
-
created: string
(date-time)
The date and time of the channel creation.
-
createdBy: string
The name of the person who created the channel.
-
description: string
The description of channel.
-
externalId: string
The ID of the external associated with the channel.
-
href: string
The hyperlink reference to the channel.
-
id: string
Maximum Length:
30The ID of the channel. -
lastUpdate: string
(date-time)
The date and time when the channel was last updated.
-
lastUpdatedBy: string
The name of the person who updated the channel.
-
lifecycleStatus: string
The status of the channel.
-
name(required): string
The name of the channel.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
validFor: object
TimePeriod
Title:
TimePeriodThe period for which the productOffering is valid. -
version: string
The channel version.
-
versionState: number
The version state of the channel.
objectProjectRef-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
objectTimePeriod-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
400 Response
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error", "BulkError":"#/components/schemas/BulkError" } }
401 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create or update an array of channels by submitting a put request on the REST resource using cURL.
cURL Command
curl -u username:password -X PUT
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/channels
-H 'Content-Type: application/json' -D @put_channels.json | json_pp
Example of Request Body
The following shows an example of the request body in JSON format.
[
{
"id": "CH-907997178-1758188606986",
"name": "channel-new",
"validFor": {
"startDateTime": "2025-09-18T00:00:00.000Z"
},
"@type": "ChannelOracle",
"version": "1.0",
"lifecycleStatus": "In design",
"project": {
"id": "P-3758355947-1758188571690",
"name": "testReview2",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-3758355947-1758188571690",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"isLocked": false,
"versionState": 0
},
{
"id": "CH-907997179-1759199707997",
"name": "channel-new2310",
"validFor": {
"startDateTime": "2025-09-18T00:00:00.000Z"
},
"@type": "ChannelOracle",
"version": "1.0",
"lifecycleStatus": "In design",
"project": {
"id": "P-3758355947-1758188571690",
"name": "testReview2",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-3758355947-1758188571690",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"isLocked": false,
"versionState": 0
}
]
Example of Response Body
The following shows an example of the response body in JSON format.
[
{
"id": "CH-907997178-1758188606986",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/channels/CH-907997178-1758188606986",
"name": "channel-new",
"validFor": {
"startDateTime": "2025-09-18T00:00:00.000Z"
},
"@type": "ChannelOracle",
"version": "1.0",
"created": "2025-09-18T09:43:35.000Z",
"createdBy": "booth",
"lastUpdate": "2025-10-24T08:05:09.004Z",
"lastUpdatedBy": "booth",
"lifecycleStatus": "In design",
"project": {
"id": "P-3758355947-1758188571690",
"name": "testReview2",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-3758355947-1758188571690",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
}
},
{
"id": "CH-907997179-1759199707997",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/channels/CH-907997179-1759199707997",
"name": "channel-new2310",
"validFor": {
"startDateTime": "2025-09-18T00:00:00.000Z"
},
"@type": "ChannelOracle",
"version": "1.0",
"created": "2025-10-23T07:52:18.000Z",
"createdBy": "booth",
"lastUpdate": "2025-10-23T07:52:18.372Z",
"lastUpdatedBy": "booth",
"lifecycleStatus": "In design",
"project": {
"id": "P-3758355947-1758188571690",
"name": "testReview2",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-3758355947-1758188571690",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
}
}
]